#include <avr/wdt.h> nicht möglich

Hallo Kollegen,

ich brauche für mein Projekt einen Watchdog, mein Problem ist jedoch, dass meine IDE mich nicht die standart avr libs benutzen lassen will.

In folgendem Screenshot kann man sehen, wie nicht einmal die Bibliothek ausgewählt werden kann. Im roten Kasten die Lib, die nicht ihre Farbe ändert.

Was kann ich tun?

Verzweifelte Grüße ohne funktionierendes Hundi.. :smiley:

Eicnfach mal kompilieren und schaun ob's geht?

nein funktioniert nicht

goodboidoggo:
nein funktioniert nicht

Warum nennt er nicht die konkrete Fehlermeldung?
Hat er überhaupt einen AVR?

In folgendem Screenshot kann man sehen, wie nicht einmal die Bibliothek ausgewählt werden kann. Im roten Kasten die Lib, die nicht ihre Farbe ändert.

Völlig irrelvant!
Die Farben dienen nur unserer Belustigung.
Werden in keywords.txt Dateien ausgewählt.
Diese kannst du auch selber erstellen/modifizieren.

Und auswählen können wir sowieso keine der, mit der Tool Chain ausgelieferten, Libraries.

Ok, jetzt funktioniert es, habe die IDE neu installiert, ändert tatsächlich nicht seine farbe, aber tut mittlerweile was es soll.

Danke!

Ich brauche für mein Projekt einen Watchdog,

Dann bleibt noch die Frage ob Du den Watchdog wirklich brauchst.
Der Watchdog ist kein Problemlöser eines nicht funktionierenden Sketches.
Grüße Uwe